using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.Topic;
using GxPress.Repository.Interface.Topic;
using GxPress.Service.Interface.Topic;

namespace GxPress.Service.Implement.Topic
{
    public class TopicGroupService : ITopicGroupService
    {
        private readonly ITopicGroupRepository topicGroupRepository;
        public TopicGroupService(ITopicGroupRepository topicGroupRepository)
        {
            this.topicGroupRepository = topicGroupRepository;
        }

        /// <summary>
        /// 根据用户ID获取分组
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        public async Task<IEnumerable<TopicGroup>> GetTopicGroupsAsync(int userId)
        {
            var result = new List<TopicGroup>() {
            new TopicGroup {Id=-1,Name="我的"},
            new TopicGroup {Id=-2,Name="同单位"},
            new TopicGroup {Id=-3,Name="推荐" } ,
            new TopicGroup {Id=0,Name="全部" }};
            result.AddRange(await topicGroupRepository.GetTopicGroupsAsync(userId));
            return result;
        }
        /// <summary>
        /// 根据用户ID获取分组
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        public async Task<IEnumerable<TopicGroup>> GetListTopicGroupsAsync(int userId)
        {
            var result = await topicGroupRepository.GetTopicGroupsAsync(userId);
            return result;
        }
    }
}